メインコンテンツまでスキップ

プロジェクトのプロファイルの取得


説明​

指定したIDのプロジェクトのプロファイルを取得します。

プロジェクトのプロファイルとは

各プロジェクトで保持するプロファイルです。

必要権限​

なし

URL​

GET /project/projects/{projectId}/profile

パスパラメーター​

名前型必須か説明
projectIdstring○プロジェクトID

クエリパラメーター​

名前型必須か説明
includesstring×追加で取得するプロファイルの詳細情報
※includesを指定しない場合は、フィールド自体取得されません。

カンマ区切りで以下の値を複数指定できます。
・ItemTypes:アイテムタイプ
・FieldTypes:フィールドタイプ
・StatusTypes:ステータスタイプ
・ProjectProperties:プロジェクト変数

レスポンス​

名前型説明
ーProjectProfile[]取得したプロファイル情報

エラーケース​

なし

特記事項​

なし。

サンプル​

ID:27のプロジェクトのプロファイルを取得する​

GET /project/projects/27/profile?includes=ItemTypes,FieldTypes,StatusTypes

Response
200 OK

[
{
"statusTypes": [
{
"id": "1",
"groupId": "1",
"name": "未着手",
"color": "#BDBDBD",
"code": "",
"description": "",
"displayOrder": 0.166666666666667
},
・
・
・
],
"itemTypes": [
・
・
・
{
"itemTypeId": "4",
"name": "パッケージ",
"systemName": "Package",
"code": "",
"color": "",
"description": "",
"iconName": "folder",
"baseType": "Task",
"itemTypeCategory": "WorkItem",
"isSystemItemType": true,
"isFolder": true,
"isContentType": false,
"canInputTimeEntry": false,
"config": {
"name": "パッケージ",
"allowedSubItemTypeIds": [
],
"allowedTimeEntryCategoryIds": [
],
"allowedProcessCategoryIds": [
],
"itemTypeId": null
},
"displayOrder": 0.666666666666667,
"initialStatusTypeId": null,
"isDeleted": false,
"fields": [
{
"fieldTypeId": "1",
"displayOrder": 0.0125,
"isDeleted": false,
"config": {
},
"isCustomized": false
},
・
・
・
],
"statusTypes": [
{
"statusTypeId": "1",
"progress": 0.0,
"isDeleted": false
},
・
・
・
],
"formLayouts": [
],
"isCustomized": false,
"isStatusCustomized": false
},
・
・
・
],
"fieldTypes": [
{
"id": "1",
"name": "ID",
"systemName": "Id",
"category": "Common",
"code": "",
"description": "",
"group": "システム",
"fieldCode": "1",
"dataType": "DTItem",
"isSystemField": true,
"isVisible": true,
"isCustomizable": false,
"isQueryable": true,
"allowedFieldCalcTypes": [
"None"
],
"defaultConfig": {
"profileId": "31",
"fieldTypeId": "1",
"name": "ID",
"isRequired": false,
"isEditable": false,
"defaultValue": "",
"allowedValues": "",
"minValue": "",
"maxValue": "",
"minLength": 0,
"maxLength": 0,
"validationRegex": "",
"format": "",
"isExpression": false,
"isChildRelated": false,
"expressions": [
],
"defaultFieldCalcType": "None",
"defaultFieldCalcTypeWithChildren": "None",
"minLines": 0,
"formatCategory": "",
"decimalDigits": 0,
"unitName": "",
"currency": "",
"useDigitSeparators": false,
"isDeleted": false,
"isDerived": true,
"isCustomized": false
}
},
・
・
・
],
"name": "プロファイル",
"versionName": "",
"code": "",
"description": "",
"revisedContent": "",
"profileNumber": "30",
"revision": 1,
"baseProfileId": "30",
"baseProfileNumber": "27",
"baseProfileName": null,
"isProjectPrivate": true,
"privateProjectId": "27",
"isPublished": true,
"profileCategoryId": "0",
"profileCategoryName": null,
"isDeleted": false,
"timeEntryCategoryRequiredInTimeEntry": false,
"processCategoryRequiredInTimeEntry": false,
"lastBaseAppliedAt": "2023-08-14T02:18:57Z",
"configUpdatedAt": "2023-07-29T23:09:12Z",
"isCustomized": false,
"metadata": {
},
"id": "31",
"createdAt": "2023-07-03T06:00:01Z",
"createdBy": "21",
"updatedAt": "2023-07-29T23:09:12Z",
"updatedBy": "21"
}
]

型定義​

ProjectProfile​

名前型説明
idstringプロファイルID
namestringプロファイル名
versionNamestringバージョン名
codestringプロファイルのコード
descriptionstringプロファイルの説明
baseProfileIdProfileId継承元プロファイルID
baseProfileNamestring継承元プロファイル名
revisionint改訂番号
revisedContentstring改訂内容
configUpdatedAtDateTimeプロファイル設定更新日時
isProjectPrivatebooleanプロジェクトプロファイルか
privateProjectIdstring所属するプロジェクトのID
isPublishedboolean公開状態
・true:公開
・false:非公開
timeEntryCategoryRequiredInTimeEntryboolean実績入力時に作業分類の設定を必要とするか。
trueの場合、タイムシートで作業分類の設定が必要になります。
processCategoryRequiredInTimeEntryboolean実績入力時に工程分類の設定を必要とするか。
trueの場合、タイムシートで工程分類の設定が必要になります。
lastBaseAppliedAtDateTime継承元プロファイルの最終反映日時
itemTypesItemUse[]利用アイテムタイプ
fieldTypesProjectFieldType[]利用フィールドタイプ
statusTypesProjectStatusType[]利用スタータスタイプ
isDeletedboolean削除されているか
projectPropertiesProjectProperty[]プロジェクト変数

ItemUse​

名前型説明
ItemTypeIdstringフィールドタイプID
namestring名前
systemNamestringシステム名
codestringコード
descriptionstring説明
itemTypeCategorystringアイテムタイプカテゴリ
以下の値を設定できます。
- Project:プロジェクト
- WorkItem: ワークアイテム
colorColorアイテムタイプの色
iconNamestringアイコン名
以下の値を設定できます。
- folder
- layers
- clipboard
- date
- book
- shield
- circle
- broken
- hecagon
- cube
- rhombus
isSystemItemTypebooleanシステムのアイテムタイプか
・true:システムのアイテムタイプ
・false:ユーザーが作成したアイテムタイプ
isFolderbooleanこのアイテムタイプがフォルダか
canInputTimeEntryboolean実績入力できるか
displayOrderdoubleアイテムタイプの表示順序。
UIで表示する際の表示順序を示します。
fieldsFieldUse[]利用フィールド
statusTypesStatusUse[]実績入力できるか
isDeletedboolean削除されているか
initialStatusTypeIdstring初期ステータスID

FieldUse​

名前型説明
fieldTypeIdstringフィールドタイプID
isDerivedboolean派生か
displayOrderdoubleフィールドタイプの表示順序。
UIで表示する際の表示順序を示します。
isDeletedboolean削除されているか

StatusUse​

名前型説明
statusTypeIdstringステータスタイプID
progressdoubleステータスに対応する進捗
isDeletedboolean削除されているか

ProjectFieldType​

名前型説明
idstringフィールドタイプID
namestring名前
systemNamestringシステム名
codestringコード
descriptionstring説明
groupstringグループ
dataTypeDataType定義するフィールドのデータ型
allowedFieldCalcTypesFieldCalcType[]設定可能なフィールドの決定方法
isSystemFieldbooleanシステムフィールドか
・true:システムフィールド
・false:カスタムフィールド
defaultFieldConfigsDefaultFieldConfig[]プロファイル共通のフィールド設定

DataType​

名前型説明
DTSingleLineTextstring単一行テキスト
DTMultiLineTextstring複数行テキスト
DTIntstring整数
DTDoublestring実数
DTDatestring日付
DTBoolstring論理値
DTColorstringカラー
DTCoststringコスト
DTProgressstring進捗率
DTTimeValuestring工数
DTDocumentSizestring成果量
DTUserstringユーザー
DTProjectstringプロジェクト
DTItemstringアイテム
DTStatusTypestringステータスタイプ
DTItemTypestringアイテムタイプ
DTProcessCategorystring工程分類
DTTimeEntryCategorystring作業分類
DTObjectstringオブジェクト

FieldCalcType(列挙体)​

名前説明
None無効値
UserInputユーザー入力
Sum合計
Average平均
Max最大
Min最小
And論理積
Or論理和
Count個数
ProgressNA進捗管理なし
ProgressOutputScale規模進捗
ProgressWeightedAverage加重平均
ProgressRemainingTime進捗率(残作業時間)
Auto自動計算
Expression計算式

DefaultFieldConfig​

名前型説明
isDerivedboolean派生されたものか
isCustomizedbooleanカスタマイズされたか

ProjectStatusType​

名前型説明
idstringステータスタイプID
namestring名前
codestringコード
descriptionstring説明
groupIdstringステータスタイプグループID
displayOrderdoubleステータスタイプの表示順序。
UIで表示する際の表示順序を示します。

ProjectProperty​

名前型説明
systemNamestringシステム名
namestring表示名
descriptionstring説明
allowedValuesstring入力可能な値
カンマ区切りで選択可能な値を指定する。
指定がない場合は自由入力
例:allowedValues: "必ず再現,不明,不定"
typestring変数の型
- number:数値型
- string:文字列型
- date:日付型
valueobject値
typeがnumberの場合、数値型で返却される.
isDerivedboolean派生されたものか
isCustomizedbooleanカスタマイズされたか